### Method

# Atspi DeviceListener add_callback

#### Declaration [src]

    void
    atspi_device_listener_add_callback (
      AtspiDeviceListener* listener,
      AtspiDeviceListenerCB callback,
      GDestroyNotify callback_destroyed,
      void* user_data
    )

#### Description [src]

Adds an in-process callback function to an existing `AtspiDeviceListener`.

#### Parameters

`callback`

  Type: `AtspiDeviceListenerCB`

  An `AtspiDeviceListenerCB` function pointer.

`callback_destroyed`

  Type: `GDestroyNotify`

  A `GDestroyNotify` called when the listener is freed and data associated with the callback should be freed. It can be NULL.

`user_data`

  Type: `void*`

  A pointer to data which will be passed to the callback when invoked.

  The argument can be `NULL`.
  The data is owned by the caller of the method.